Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162491 - Slow search for package names on RHN server
Summary: Slow search for package names on RHN server
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server
Version: 360
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McCune
QA Contact: Jeff Browning
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-05 15:40 UTC by Christopher Basquez
Modified: 2009-09-10 18:24 UTC (History)
1 user (show)

Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-10 18:24:22 UTC


Attachments (Terms of Use)

Description Terry Jones 2005-07-05 15:40:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
 The search feature for packages on the upgraded satellite (v3.6) is very, very slow.

Tests have taken 7 minutes to list packages.

This situation did not occur on the previous version of satellite we were using (v3.2) nor on RHN.

Server is running RHEL3. Database is external.

Version-Release number of selected component (if applicable):
rhn-satellite 3.6

How reproducible:
Always

Steps to Reproduce:
1. Log in to satellite
2. Goto package search.
3. Enter package name and start search.........
  

Actual Results:  Machines takes a lonnnnng time to reach a result. 10+ minutes in some cases. This only became a factor after the upgrade to 3.6

Expected Results:  Return the package list in short order

Additional info:

Comment 2 Terry Jones 2005-07-05 15:51:01 UTC
I have attached the output to the script originally supplied by J Slagle on 4/19
to Dresdner Kleinwort Wasserstein

Comment 4 Mike McCune 2005-07-26 17:48:19 UTC
the work I did had no effect on the speed.  Myself and Vlad both tested package
searching on webqa and it seemed to return in reasonable amounts of time.

I think it would be worth testing out package searching on a fully sat-synched
sat to make sure there isn't some difference.  I'll take a look at this and
report back.

Comment 5 Mike McCune 2005-07-28 04:12:49 UTC
I tested out package searching on a sat with lots of channels/packages and it
was very snappy.  Searches returned in 1 second or less.

Comment 6 Mike McCune 2005-07-28 04:14:16 UTC
TESTPLAN:

1) Login to a sat that has multiple channels synched with a large number of
packages (1000+)
2) Search -> Packages
3) type a name, libjpeg for example
4) click on the name

verify that none of the steps take an unacceptable amount of time (2-3 seconds
or more).

Comment 9 Mike McCune 2008-12-02 20:26:31 UTC
on_dev

Comment 10 Jeff Browning 2008-12-15 17:06:32 UTC
Verified. Search takes roughly 1 second when searching through 10,000 packages.

Comment 11 Brandon Perkins 2009-09-10 18:24:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html


Note You need to log in before you can comment on or make changes to this bug.